Subject: Re: [bug#45573] [PATCH] Correct freecad runtime errors

From: Ekaitz Zarraga <[email-masked]>
Date: Mon, 04 Jan 2021 12:15:26 +0000

Hi,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, January 4, 2021 1:18 AM, Leo Famulari <[email-masked]> wrote:

> On Fri, Jan 01, 2021 at 02:37:39PM +0000, Ekaitz Zarraga wrote:
>
> > Subject: [PATCH 3/6] gnu: Add python-pivy.
> >
> >     * gnu/packages/python-xyz.scm (python-pivy): New variable.
> >
>
> > -        `(#:tests? #f ; Tests are broken
> >
> >
>
> Can you clarify what you mean, and the overall situation with the tests?
> Are they actually used upstream?

I think they are broken upstream.

When they are run during the guix compilation they report a circular
dependency issue when loading but once the lib is installed i'm able to
import it without issues.

>
> > -          #:phases
> >
> >
> > -          (modify-phases %standard-phases
> >
> >
> > -            (add-after 'unpack 'patch-cmake-include-dirs
> >
> >
> > -             (lambda _
> >
> >
> > -               ;; Patch buildsystem to respect Coin3D include directory
> >
> >
> > -               (substitute* "CMakeLists.txt"
> >
> >
> > -                            (("\\\\$\\\\{SoQt_INCLUDE_DIRS}")
> >
> >
> > -                             "${Coin_INCLUDE_DIR};${SoQt_INCLUDE_DIRS}"))
> >
> >
>
> This can probably be fixed with #:configure-flags. I can look into this
> before pushing.

I tried that and I was unable to solve it that way.
I'm not a CMake expert but I think the problem is that even if CMake finds
Coin3D, it's not taking it in account during the compilation, so it needs
that patch to use it.

>
> > Subject: [PATCH 4/6] gnu: FreeCad: Update to 0.18.5-1.7616153.
> > Fixes Draft module import errors
> >
> >     * gnu/packages/engineering.scm (freecad): Update to 0.18.5-1.7616153.
> >     [inputs]: Add python-pivy.
> >
>
> > Subject: [PATCH 5/6] gnu: freecad: move python-pyside-2-tools to native-inputs
> >
> >     * gnu/packages/engineering.scm (freecad):
> >     [inputs]: Remove python-pyside-2-tools.
> >     [native-inputs]: Add python-pyside-2-tools.
> >
>
> The re-indentation of the package in patch 4/6 is not complete, and I
> will squash these two patches before pushing. I have this "ready to go"
> in my Git tree.
>
> > Subject: [PATCH 6/6] gnu: freecad: Add qtwebkit input.
> >
> >     * gnu/packages/engineering.scm (freecad):
> >     [inputs]: Add qtwebkit.
> >
>
> > -         ;; qtwebkit is optional. We remove it currently, because it takes
> >
> >
> > -         ;; much time to compile and substitutes are often unavailable
> >
> >
> > -         ;;("qtwebkit" ,qtwebkit)
> >
> >
> >
> > -         ("qtwebkit" ,qtwebkit)
> >
> >
>
> The comment is still true... I recommend adding a note in the commit
> message saying what the new dependency enables.

I'm not sure if the comment is true.
I'd like to discuss it, but you can safely discard this change.

The only part that is affected by qtwebkit is the first screen of the
program that shows some examples, links and news. So it's safe to remove
but I'm not sure if the substitutes were unavailable because of this or
because the compilation was failing (it have been broken for a long time).

I'm not sure about how to proceed here. I'm ok with a FreeCad that
is open in a blank screen and shows a couple of warnings on load. I'll
leave the decision of including this patch or not on you guys if you don't
mind.

Thank you for your time,
Ekaitz